Make semantic choices for clarity between Commons items and Wikidata items ("labels" vs. "captions", etc.)
Closed, ResolvedPublic

Description

Finalize the internal data model and decide upon semantic choices for clarity between Commons items and Wikidata items ("labels" vs. "captions", etc.)

The internal MediaInfo data model needs a few tweaks. MediaInfo should use “caption” instead of “label” (which Wikidata uses). They are very similar, but we want to make the distinction for semantic clarity.

For the same reason, "description" in MediaInfo should be changed to "summary".

If other conflicts/confusion between naming conventions in MediaInfo and Wikibase become apparent, address those as well.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 18 2017, 12:28 AM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Oct 18 2017, 12:30 AM
matthiasmullie removed matthiasmullie as the assignee of this task.Oct 19 2017, 8:31 AM
matthiasmullie moved this task from Doing to To Do on the Multimedia-Team-Working-Board board.
matthiasmullie added a subscriber: matthiasmullie.
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 18 2017, 3:05 PM

Change 428911 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Rename 'label' to 'caption'

https://gerrit.wikimedia.org/r/428911

Change 429379 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Change label to caption on file page

https://gerrit.wikimedia.org/r/429379

Change 429379 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Change label to caption on file page

https://gerrit.wikimedia.org/r/429379

Ramsey-WMF closed this task as Resolved.Fri, Nov 9, 5:35 PM